#include "parms.h"

cParameters::cParameters()
{
  m_grid = true;
  m_legend = false;
  m_functions = 0xF;
  m_polling = 1;
  m_pi_unit = 1;
  m_d_mode = 1;
};
  
cParameters::~cParameters()
{};
  
bool cParameters::legend(){ return m_legend; };
bool cParameters::grid() { return m_grid; };
char cParameters::functions() { return m_functions; };
unsigned int cParameters::polling(){ return m_polling; };
unsigned int cParameters::pi_unit(){ return m_pi_unit; };
unsigned int cParameters::d_mode(){ return m_d_mode; };
  
void cParameters::set_legend(bool legend) { m_legend = legend; };
void cParameters::set_grid(bool grid) { m_grid = grid; };
void cParameters::set_functions(char functions) { m_functions = functions; };
void cParameters::set_polling(unsigned int pi) { m_polling = pi; };
void cParameters::set_pi_unit(unsigned int pu) { m_pi_unit = pu; };
void cParameters::set_d_mode(unsigned int mode) { m_d_mode = mode; };
